
Foreman - Feature #358

reference hosts by HOSTNAME instead of internal ID

07/22/2010 08:25 AM - Matt Moran

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

To make foreman more accessible by external programs it would be cool if it referenced hosts by:

http://foreman.mydomain.local/hosts/myhost.mydomain.local

rather than:

http://foreman.mydomain.local/hosts/9

Related issues:

Related to Foreman - Feature #287: make urls pretty Closed 05/29/2010

Associated revisions

Revision 86744a6b - 09/22/2010 12:00 PM - Ohad Levy

Fixes #358 - reference hosts by HOSTNAME instead of internal ID

removed rrd related links as RRD is deprecated

added a common host finder method

changed urls to include the host name rather its internal id

Revision 0c512293 - 09/22/2010 09:07 PM - Ohad Levy

Fixes #358 - reference hosts by HOSTNAME instead of internal ID

removed rrd related links as RRD is deprecated

added a common host finder method

changed urls to include the host name rather its internal id

Revision 03e9a623 - 09/27/2010 09:33 AM - Ohad Levy

minor cleanups - refs #358

Revision 8506f9f9 - 10/03/2010 01:26 PM - Ohad Levy

fixed wrong reference to hosts, refs #358

Revision 7b87ce26 - 10/03/2010 02:30 PM - Ohad Levy

Fixes #358 - reference hosts by HOSTNAME instead of internal ID

removed rrd related links as RRD is deprecated

added a common host finder method

changed urls to include the host name rather its internal id

Revision 26abb3a5 - 10/03/2010 02:32 PM - Ohad Levy

minor cleanups - refs #358

History
http://foreman.mydomain.local/hosts/myhost.mydomain.local
http://foreman.mydomain.local/hosts/9


#1 - 09/19/2010 03:26 PM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 0.2

#2 - 09/22/2010 12:02 PM - Ohad Levy

- Target version changed from 0.2 to 0.1-6

#3 - 09/22/2010 12:06 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 86744a6b20f1a9e1a3b6f5e75ead937811068fb5.

#4 - 09/22/2010 09:22 PM - Ohad Levy

Applied in changeset 0c5122930da3d790049b9edf9e5cb2a9f6586323.

#5 - 10/03/2010 12:19 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
